function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } } function _next(value) { step("next", value); } function _throw(err) { step("throw", err); } _next(); }); }; }

require('@babel/polyfill');

var path = require('path');

var serve = require('webpack-serve');

var webpack = require('webpack');

var buildConfig = require('./webpack.config.js');

function runServe(config) {
  serve({}, {
    config: config
  });
}

function runBuild(config, outDir) {
  var compiler = webpack(config);
  compiler.run(function (err, stats) {
    if (err) {
      throw new Error(err);
    }
  });
}

module.exports.main =
/*#__PURE__*/
function () {
  var _main = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee() {
    var args,
        runningIn,
        docPath,
        command,
        outDir,
        port,
        finalDocPath,
        docName,
        docDir,
        config,
        output,
        _config,
        _args = arguments;

    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            args = _args.length > 0 && _args[0] !== undefined ? _args[0] : {};
            runningIn = process.cwd();
            docPath = args.path, command = args.command, outDir = args.outDir, port = args.port;
            finalDocPath = path.resolve(runningIn, docPath);
            docName = path.basename(finalDocPath);
            docDir = path.dirname(finalDocPath);
            process.chdir(path.resolve(__dirname, '../../'));

            if (!(command === 'serve')) {
              _context.next = 14;
              break;
            }

            _context.next = 10;
            return buildConfig({
              runningIn: runningIn,
              docName: docName,
              docDir: docDir,
              port: port
            });

          case 10:
            config = _context.sent;
            runServe(config);
            _context.next = 20;
            break;

          case 14:
            if (!(command === 'build')) {
              _context.next = 20;
              break;
            }

            output = path.resolve(runningIn, outDir);
            _context.next = 18;
            return buildConfig({
              runningIn: runningIn,
              docName: docName,
              docDir: docDir,
              outDir: output
            });

          case 18:
            _config = _context.sent;
            runBuild(_config, output);

          case 20:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function main() {
    return _main.apply(this, arguments);
  };
}();