function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } } function _next(value) { step("next", value); } function _throw(err) { step("throw", err); } _next(); }); }; }

var path = require('path');

var webpack = require('webpack');

var HTMLPlugin = require('html-webpack-plugin');

var initialMessage = require('initial-app-message');

var betterWebpackProgress = require('better-webpack-progress');

var chalk = require('chalk');

var figures = require('figures');

var ansiEscapes = require('ansi-escapes');

var remarkSlug = require('remark-slug');

var babelConfig = require('../../.babelrc');

var rehypePlayground = require('./utils/rehype-playground');

var remarkToc = require('./utils/remark-toc');

module.exports =
/*#__PURE__*/
function () {
  var _ref2 = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee(_ref) {
    var runningIn, docName, docDir, outDir, _ref$port, port, green, grey, bold;

    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            runningIn = _ref.runningIn, docName = _ref.docName, docDir = _ref.docDir, outDir = _ref.outDir, _ref$port = _ref.port, port = _ref$port === void 0 ? 5000 : _ref$port;
            green = chalk.green, grey = chalk.grey, bold = chalk.bold;
            console.log(bold('Starting webpack...'));
            return _context.abrupt("return", {
              mode: 'development',
              devtool: 'cheap-module-source-map',
              stats: 'errors-only',
              resolve: {
                extensions: ['.js', '.jsx'],
                alias: {
                  'webpack-hot-client/client': path.dirname(require.resolve('webpack-hot-client/client'))
                },
                modules: [path.resolve(__dirname, '../../node_modules'), path.resolve(runningIn, 'node_modules')]
              },
              entry: ['modern-normalize/modern-normalize.css', path.join(__dirname, '../../app/index.js')],
              output: {
                path: outDir != null ? outDir : path.resolve(__dirname, 'dist'),
                publicPath: '',
                filename: 'rdw.js',
                sourceMapFilename: 'rdw.js.map'
              },
              plugins: [new webpack.NoEmitOnErrorsPlugin(), new webpack.NamedModulesPlugin(), new webpack.EnvironmentPlugin({
                NODE_ENV: 'development',
                DOC_PATH: docDir + '/' + docName
              }), new HTMLPlugin({
                filename: 'index.html',
                template: path.resolve(__dirname, '../../app/index.html')
              }), new webpack.ProgressPlugin(betterWebpackProgress({
                mode: 'bar',
                customSummary: function customSummary() {
                  if (outDir != null) {
                    console.log(chalk.bold('Finished'), chalk.green('✔︎'));
                  } else {
                    process.stdout.write(ansiEscapes.clearScreen);
                    process.stdout.write(initialMessage(port, []).join('\n'));
                  }
                }
              }))],
              module: {
                rules: [{
                  test: /\.jsx?$/,
                  exclude: /node_modules\/(?!(react-display-window\/app)\/).*/,
                  use: [{
                    loader: 'babel-loader',
                    options: babelConfig
                  }]
                }, {
                  test: /\.css/,
                  use: ['style-loader', 'css-loader']
                }, {
                  test: /\.(jpg|png|svg|pdf)$/,
                  use: ['file-loader']
                }, {
                  test: /\.mdx?$/,
                  exclude: /node_modules/,
                  use: [{
                    loader: 'babel-loader',
                    options: babelConfig
                  }, {
                    loader: '@mdx-js/loader',
                    options: {
                      mdPlugins: [remarkSlug, remarkToc],
                      hastPlugins: [rehypePlayground]
                    }
                  }]
                }]
              },
              serve: {
                host: '0.0.0.0',
                port: port,
                logLevel: 'error',
                stats: 'errors-only',
                devMiddleware: {
                  logLevel: 'error'
                },
                hotClient: {
                  logLevel: 'error'
                }
              }
            });

          case 4:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function (_x) {
    return _ref2.apply(this, arguments);
  };
}();