function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import merge from 'lodash/merge';
import { StyleSheet, css } from 'aphrodite-jss';
import { getProps } from '../../utils';
import Prop from './Prop';
var styles = StyleSheet.create({
  knobs: {
    display: 'flex',
    flexDirection: 'column',
    marginTop: 32,
    marginBottom: 30,
    border: '1px solid rgba(84, 110, 122, 0.3)',
    overflow: 'hidden',
    borderRadius: 5
  },
  renderZone: {
    background: 'rgba(84, 110, 122, 0.03)',
    borderLeft: 0,
    borderRight: 0,
    padding: 32
  },
  knobsZone: {
    borderTop: '1px solid rgba(84, 110, 122, 0.3)',
    padding: 32,
    display: 'flex',
    flexWrap: 'wrap',
    margin: '0 -16px'
  },
  knob: {
    width: '50%',
    padding: '0 16px'
  }
});

var Knobs =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Knobs, _React$Component);

  function Knobs() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, Knobs);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(Knobs)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_assertThisInitialized(_this)), "state", {
      propValues: {}
    });

    return _this;
  }

  _createClass(Knobs, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          defaults = _this$props.defaults,
          children = _this$props.children;
      var Component = children.type;
      var componentPropTypes = getProps(Component);
      var propValues = this.state.propValues;
      var finalProps = merge({}, defaults, propValues);
      return React.createElement("div", {
        className: css(styles.knobs)
      }, React.createElement("div", {
        className: css(styles.renderZone)
      }, React.cloneElement(children, _objectSpread({}, finalProps))), React.createElement("div", {
        className: css(styles.knobsZone)
      }, Object.keys(componentPropTypes).map(function (key) {
        return React.createElement("div", {
          key: key,
          className: css(styles.knob)
        }, React.createElement(Prop, {
          name: key,
          prop: componentPropTypes[key],
          value: finalProps[key],
          onChange: function onChange(v, n) {
            return _this2.setState({
              propValues: _objectSpread({}, propValues, _defineProperty({}, n, v))
            });
          }
        }));
      })));
    }
  }]);

  return Knobs;
}(React.Component);

export default Knobs;
Knobs.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "Knobs"
};