function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { CheckboxProp, InputProp, SelectProp } from './props';

var Prop = function Prop(_ref) {
  var name = _ref.name,
      prop = _ref.prop,
      value = _ref.value,
      onChange = _ref.onChange;
  var type = prop.type.name;

  var propWithKey = _objectSpread({}, prop, {
    key: name
  });

  switch (type) {
    case 'bool':
      return React.createElement(CheckboxProp, {
        prop: propWithKey,
        value: value,
        onChange: onChange
      });

    case 'enum':
      return React.createElement(SelectProp, {
        prop: propWithKey,
        value: value,
        onChange: onChange
      });

    case 'string':
      return React.createElement(InputProp, {
        prop: propWithKey,
        value: value,
        onChange: onChange
      });

    default:
      console.warn('Unknown prop', prop);
      return null;
  }
};

export default Prop;
Prop.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "Prop"
};