import React from 'react';
import { StyleSheet, css } from 'aphrodite-jss';
var styles = StyleSheet.create({
  selectProp: {
    margin: '8px 0'
  },
  label: {
    color: 'rgba(0, 0, 0, 0.8)',
    display: 'block',
    fontSize: '0.7em',
    fontWeight: 'bold',
    textTransform: 'uppercase',
    marginBottom: 5
  },
  input: {
    height: 35,
    width: '100%',
    display: 'block',
    borderRadius: 2,
    border: '1px solid rgba(84, 110, 122, 0.23)',
    color: 'rgba(0, 0, 0, 0.7)',
    outline: 'none !important',
    '&:focus': {
      border: '1px solid rgba(84, 110, 122, 0.4)'
    }
  }
});

var SelectProp = function SelectProp(_ref) {
  var prop = _ref.prop,
      value = _ref.value,
      _onChange = _ref.onChange;
  var key = prop.key,
      type = prop.type;
  var values = type.value;
  return React.createElement("div", {
    className: css(styles.selectProp)
  }, React.createElement("label", {
    className: css(styles.label),
    htmlFor: key
  }, key), React.createElement("select", {
    id: key,
    className: css(styles.input),
    name: key,
    value: value,
    onChange: function onChange(e) {
      return _onChange(e.target.value, e.target.name);
    }
  }, values.map(function (v) {
    return React.createElement("option", {
      key: v.value,
      value: v.value.replace(/'/g, '')
    }, v.value.replace(/'/g, ''));
  })));
};

export default SelectProp;
SelectProp.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SelectProp"
};