import React from 'react';
import { StyleSheet, css } from 'aphrodite-jss';
import { getProps } from './utils';
var styles = StyleSheet.create({
  table: {
    width: '100%',
    marginTop: 32,
    marginBottom: 30,
    border: '1px solid rgba(84, 110, 122, 0.3)',
    borderRadius: 5,
    overflow: 'hidden'
  },
  row: {
    width: '100%',
    display: 'flex',
    alignItems: 'center',
    '&:nth-child(odd)': {
      background: 'rgba(84, 110, 122, 0.03)'
    }
  },
  cell: {
    flex: 1,
    padding: '16px',
    lineHeight: 1.5,
    color: 'rgba(0, 0, 0, 0.7)',
    fontSize: '0.9em',
    fontFamily: '"Fira Code", "Menlo", monospace'
  },
  bigCell: {
    flex: 2
  },
  header: {
    borderBottom: '1px solid rgba(0, 0, 0, 0.1)',
    fontSize: '0.8em',
    fontWeight: 'bold',
    textTransform: 'uppercase',
    color: 'rgba(0, 0, 0, 0.8)',
    background: 'rgba(84, 110, 122, 0.1) !important'
  },
  headerCell: {
    padding: '12px 16px',
    paddingTop: 14
  }
});

var PropsTable = function PropsTable(_ref) {
  var component = _ref.component;
  var props = getProps(component);
  return React.createElement("div", {
    className: css(styles.table)
  }, React.createElement("div", {
    className: css(styles.row, styles.header)
  }, React.createElement("div", {
    className: css(styles.cell, styles.headerCell)
  }, "Name"), React.createElement("div", {
    className: css(styles.cell, styles.headerCell)
  }, "Type"), React.createElement("div", {
    className: css(styles.cell, styles.headerCell)
  }, "Default"), React.createElement("div", {
    className: css(styles.cell, styles.headerCell)
  }, "Required"), React.createElement("div", {
    className: css(styles.cell, styles.headerCell, styles.bigCell)
  }, "Description")), Object.keys(props).map(function (key) {
    var _props$key$defaultVal, values;

    return React.createElement("div", {
      key: key,
      className: css(styles.row)
    }, React.createElement("div", {
      className: css(styles.cell)
    }, key), React.createElement("div", {
      className: css(styles.cell)
    }, props[key].type.name), React.createElement("div", {
      className: css(styles.cell)
    }, ((_props$key$defaultVal = props[key].defaultValue) === null || _props$key$defaultVal === void 0 ? void 0 : _props$key$defaultVal.value.replace(/'/g, '')) || null), React.createElement("div", {
      className: css(styles.cell)
    }, String(props[key].required)), React.createElement("div", {
      className: css(styles.cell, styles.bigCell)
    }, props[key].description ? props[key].description : props[key].type.name === 'enum' ? (values = props[key].type.value.map(function (v) {
      return v.value.replace(/'/g, '');
    }), "One of: ".concat(values.join(', '))) : void 0));
  }));
};

export default PropsTable;
PropsTable.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "PropsTable"
};