import React from 'react';
import { StyleSheet, css } from 'aphrodite-jss';
var styles = StyleSheet.create({
  toc: {
    color: 'rgba(0, 0, 0, 0.8)',
    marginLeft: -24,
    marginTop: '2em',
    marginBottom: '2em'
  },
  entries: {
    paddingLeft: 24
  },
  entry: {
    display: 'block',
    marginBottom: 12,
    cursor: 'pointer',
    color: '#1976D2',
    '&:hover': {
      color: '#0D47A1'
    }
  }
});

var Entries = function Entries(_ref) {
  var entries = _ref.entries;
  return React.createElement("div", {
    className: css(styles.entries)
  }, entries.map(function (entry) {
    if (entry.title) {
      return React.createElement("a", {
        key: entry.title,
        className: css(styles.entry),
        href: "#".concat(entry.url)
      }, "\u203A \xA0", entry.title);
    } else if (entry.entries) {
      return React.createElement(Entries, {
        key: entries,
        entries: entry.entries
      });
    }
  }));
};

var Toc = function Toc(_ref2) {
  var __entries = _ref2.__entries;
  return React.createElement("div", {
    className: css(styles.toc)
  }, React.createElement(Entries, {
    entries: __entries
  }));
};

export default Toc;
Toc.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "Toc"
};